﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using jQuery_AJAX_Core.Models;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;

namespace jQuery_AJAX_Core.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public JsonResult AjaxMethod(string name)
        {
            PersonModel person = new PersonModel
            {
                Name = name,
                DateTime = DateTime.Now.ToString()
            };
            
            return Json(person);
        }
    }
}